## pebl 1.0.2

=== debian/changelog ===
pebl (1.0.2-3) unstable; urgency=low

  * Team Upload

  [ Miriam Ruiz ]
  * Fixed SVN lines in debian/control

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Paul Tagliamonte ]
  * Migrate from python-support to dh-python (Closes: #788702)

 -- Jakub Wilk <jwilk@debian.org>  Tue, 18 Aug 2015 17:52:42 +0200

pebl (1.0.2-2) unstable; urgency=medium

  * Upload with medium emergency to allow binNMU'ed nipy transition into
    wheezy
  * debian/control:
    - Vcs headers
    - Slight tune ups in the descriptions
    - Myself to uploaders
  * debian/rules (Closes: #623123):
    - Unconditionally provide --install-layout=deb
    - Point PYTHONPATH to the built version while invoking sphinx-build
    - Use inplace sid operation for tuning up shebang in /usr/bin/pebl
  * Added patch up_safe_ipython1_import to allow documentation to build
    without ipython1 module being available
  * Build-Depend (for documentation build) and Recommend python-pydot
    and python-boto

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 28 Apr 2011 16:55:59 -0400

pebl (1.0.2-1) unstable; urgency=low

  * Initial release. Closes: #612761

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 09 Feb 2011 22:53:59 +0100
