=== debian/control ===
Source: pebl
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7), dh-buildinfo, quilt,
 python-all-dev, python-setuptools, python-sphinx,
 python-numpy, python-pydot, python-boto, dh-python
Standards-Version: 3.9.1
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pebl/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pebl/trunk/
Homepage: https://code.google.com/p/pebl-project/

Package: python-pebl
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-numpy,
Recommends: python-pydot, python-boto
Provides: ${python:Provides}
Suggests: python-pebl-dbg, python-pebl-doc
Description: Python Environment for Bayesian Learning
 Pebl is a Python library and command line application for learning
 the structure of a Bayesian network given prior knowledge and
 observations. Pebl includes the following features:
   * Can learn with observational and interventional data
   * Handles missing values and hidden variables using exact and heuristic
     methods
   * Provides several learning algorithms; makes creating new ones simple
   * Has facilities for transparent parallel execution using several
     cluster/grid resources
   * Calculates edge marginals and consensus networks
   * Presents results in a variety of formats

Package: python-pebl-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python-pebl (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Python Environment for Bayesian Learning - debug
 Pebl is a Python library and command line application for learning
 the structure of a Bayesian network given prior knowledge and
 observations.
 .
 This package contains the debugging symbols.

Package: python-pebl-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: python-pebl
Description: Python Environment for Bayesian Learning - documentation
 Pebl is a Python library and command line application for learning
 the structure of a Bayesian network given prior knowledge and
 observations.
 .
 This package contains the documentation.
