=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

PYVERS=$(shell pyversions -vs)
PYVER=$(shell pyversions -vd)

config: config-stamp
config-stamp:
	dh_testdir
	[ ! -d debian/patches ] || $(MAKE) -f /usr/share/quilt/quilt.make patch
	touch $@

build: $(PYVERS:%=build-python%)
	mkdir -p build/html/
	PYTHONPATH=$$(/bin/ls -d $(CURDIR)/build/lib.*-$(PYVER)) \
		sphinx-build docs/src/ build/html/

build-python%: config-stamp
	dh_testdir
	python$* setup.py build
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f config-stamp build-python?.* install-python?.*
	rm -f `find . -name "*.pyc"`
	rm -f src/pebl.egg-info/PKG-INFO
	rm -rf src/pebl.egg-info/
	rm -rf build doc/build
	[ ! -d debian/patches ] || $(MAKE) -f /usr/share/quilt/quilt.make unpatch
	dh_clean

install: build $(PYVERS:%=install-python%)

install-python%:
	dh_testdir
	dh_testroot
	python$* setup.py install \
		--no-compile \
		--root=$(CURDIR)/debian/python-pebl \
		--install-layout=deb
	touch $@

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installman -i
	dh_link -i
	dh_compress -i --exclude=.js --exclude=.pdf --exclude=.py --exclude=.txt
	dh_fixperms -i
	dh_python2 -i
	[ ! -e /usr/bin/dh_buildinfo ] || dh_buildinfo -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installman -a debian/pebl.1
	dh_link -a
	dh_python2 -a
	dh_strip -a --dbg-package=python-pebl-dbg
	mkdir -p debian/python-pebl/usr/bin/
	sed -i -e 's|^#!/usr/bin/python.*$$|#!/usr/bin/python|g' \
		debian/python-pebl/usr/bin/pebl
	dh_compress -a --exclude=.js --exclude=.pdf --exclude=.py --exclude=.txt
	dh_fixperms -a
	[ ! -e /usr/bin/dh_buildinfo ] || dh_buildinfo -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: config build clean binary-indep binary-arch binary install
